List all payments
curl --request GET \
--url https://api.togai.com/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "payment.1223dfs.234ds",
"description": "Payment for services",
"notes": "Invoice payment",
"accountId": "acc123",
"currency": "USD",
"externalPaymentReferences": {
"sourceName": "XYZ Company",
"sourceType": "CARD",
"transactionNumber": "TXN123",
"description": "Card payment"
},
"lineItemRecords": [
{
"togaiId": "inv.234.12efwe",
"amount": 1000,
"type": "INVOICE",
"order": 1
},
{
"togaiId": "inv.235.12efwe",
"amount": 600,
"type": "INVOICE",
"order": 2
},
{
"togaiId": "cred.236.12efwe",
"amount": 100,
"type": "CREDIT",
"order": 3
}
],
"totalAmount": 1700,
"version": 1,
"createdBy": "user123",
"createdAt": "2023-01-01T12:00:00"
}
]
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Payments
List all payments
List all payments
GET
/
payments
List all payments
Query Parameters
Query Parameters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pagination token used as a marker to get records from next page.
Example:
"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="
Maximum page size expected by client to return the record list.
NOTE: Max page size cannot be more than 50. Also 50 is the default page size if no value is provided.
Example:
10
